Package commoble.morered.client

# Class GatecraftingScreen.GatecraftingScrollPanel

java.lang.Object
net.minecraft.client.gui.GuiComponent
net.minecraft.client.gui.components.events.AbstractContainerEventHandler
net.minecraftforge.client.gui.widget.ScrollPanel
commoble.morered.client.GatecraftingScreen.GatecraftingScrollPanel

All Implemented Interfaces:
  `net.minecraft.client.gui.components.events.ContainerEventHandler`, `net.minecraft.client.gui.components.events.GuiEventListener`, `net.minecraft.client.gui.components.Widget`, `net.minecraft.client.gui.narration.NarratableEntry`, `net.minecraft.client.gui.narration.NarrationSupplier`

Enclosing class:
  GatecraftingScreen

public static class GatecraftingScreen.GatecraftingScrollPanel extends net.minecraftforge.client.gui.widget.ScrollPanel implements net.minecraft.client.gui.components.events.GuiEventListener

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.client.gui.narration.NarratableEntry

`net.minecraft.client.gui.narration.NarratableEntry.NarrationPriority`

## Field Summary

Fields
Modifier and Type
Field
Description
`net.minecraft.world.item.ItemStack`
`tooltipItem`
`final int`
`totalButtonHeight`

### Fields inherited from class net.minecraftforge.client.gui.widget.ScrollPanel

`border, bottom, captureMouse, height, left, right, scrollDistance, top, width`

### Fields inherited from class net.minecraft.client.gui.GuiComponent

`BACKGROUND_LOCATION, GUI_ICONS_LOCATION, STATS_ICON_LOCATION`

### Fields inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`DOUBLE_CLICK_THRESHOLD_MS`

## Constructor Summary

Constructors
Constructor
Description
`GatecraftingScrollPanel(net.minecraft.client.Minecraft client, GatecraftingScreen screen, List<net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>> recipes, int left, int top, int width, int height)`

## Method Summary

Modifier and Type
Method
Description
`List<? extends net.minecraft.client.gui.components.events.GuiEventListener>`
`children()`
`protected void`
`drawPanel(com.mojang.blaze3d.vertex.PoseStack matrix, int entryRight, int relativeY, com.mojang.blaze3d.vertex.Tesselator tess, int mouseX, int mouseY)`
`protected int`
`getContentHeight()`
`boolean`
`mouseClicked(double mouseX, double mouseY, int button)`
`net.minecraft.client.gui.narration.NarratableEntry.NarrationPriority`
`narrationPriority()`
`void`
`updateNarration(net.minecraft.client.gui.narration.NarrationElementOutput output)`

### Methods inherited from class net.minecraftforge.client.gui.widget.ScrollPanel

`clickPanel, drawBackground, drawGradientRect, getScrollAmount, isMouseOver, mouseDragged, mouseReleased, mouseScrolled, render`

### Methods inherited from class net.minecraft.client.gui.components.events.AbstractContainerEventHandler

`getFocused, isDragging, setDragging, setFocused`

### Methods inherited from class net.minecraft.client.gui.GuiComponent

`blit, blit, blit, blit, blit, blitOutlineBlack, disableScissor, drawCenteredString, drawCenteredString, drawCenteredString, drawString, drawString, drawString, enableScissor, fill, fillGradient, fillGradient, fillGradient, getBlitOffset, hLine, setBlitOffset, vLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.gui.components.events.ContainerEventHandler

`changeFocus, charTyped, getChildAt, keyPressed, keyReleased, magicalSpecialHackyFocus, setInitialFocus`

### Methods inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`isMouseOver, mouseMoved`

### Methods inherited from interface net.minecraft.client.gui.narration.NarratableEntry

`isActive`

## Field Details

### tooltipItem

public net.minecraft.world.item.ItemStack tooltipItem

### totalButtonHeight

public final int totalButtonHeight

## Constructor Details

### GatecraftingScrollPanel

public GatecraftingScrollPanel(net.minecraft.client.Minecraft client, GatecraftingScreen screen, List<net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>> recipes, int left, int top, int width, int height)

## Method Details

### children

public List<? extends net.minecraft.client.gui.components.events.GuiEventListener> children()

Specified by:
  `children` in interface `net.minecraft.client.gui.components.events.ContainerEventHandler`
Overrides:
  `children` in class `net.minecraftforge.client.gui.widget.ScrollPanel`

### getContentHeight

protected int getContentHeight()

Specified by:
  `getContentHeight` in class `net.minecraftforge.client.gui.widget.ScrollPanel`

### drawPanel

protected void drawPanel(com.mojang.blaze3d.vertex.PoseStack matrix, int entryRight, int relativeY, com.mojang.blaze3d.vertex.Tesselator tess, int mouseX, int mouseY)

Specified by:
  `drawPanel` in class `net.minecraftforge.client.gui.widget.ScrollPanel`

### mouseClicked

public boolean mouseClicked(double mouseX, double mouseY, int button)

Specified by:
  `mouseClicked` in interface `net.minecraft.client.gui.components.events.ContainerEventHandler`
Specified by:
  `mouseClicked` in interface `net.minecraft.client.gui.components.events.GuiEventListener`
Overrides:
  `mouseClicked` in class `net.minecraftforge.client.gui.widget.ScrollPanel`

### narrationPriority

public net.minecraft.client.gui.narration.NarratableEntry.NarrationPriority narrationPriority()

Specified by:
  `narrationPriority` in interface `net.minecraft.client.gui.narration.NarratableEntry`

### updateNarration

public void updateNarration(net.minecraft.client.gui.narration.NarrationElementOutput output)

Specified by:
  `updateNarration` in interface `net.minecraft.client.gui.narration.NarrationSupplier`